<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: TypeProperties Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_type_properties.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_type_properties-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TypeProperties Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for TypeProperties:</div>
<div class="dyncontent">
<div class="center"><img src="struct_type_properties__coll__graph.png" border="0" usemap="#_type_properties_coll__map" alt="Collaboration graph"/></div>
<map name="_type_properties_coll__map" id="_type_properties_coll__map">
<area shape="rect" title=" " alt="" coords="13,303,131,329"/>
<area shape="rect" href="struct_total_location_info.html" title=" " alt="" coords="5,213,139,240"/>
<area shape="rect" href="struct_exp_eval_result.html" title=" " alt="" coords="15,124,129,151"/>
<area shape="rect" href="struct_exp_eval.html" title=" " alt="" coords="35,5,109,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7722c49b99b8fc7c80993c6a74fac2a3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#affdb027278230374e0f2f8b039df8076">SupportedTypes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a7722c49b99b8fc7c80993c6a74fac2a3">TypeEnumerator</a></td></tr>
<tr class="separator:a7722c49b99b8fc7c80993c6a74fac2a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a511f452efc4a061b42deef459167e926"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a511f452efc4a061b42deef459167e926">BuiltInTypeName</a></td></tr>
<tr class="separator:a511f452efc4a061b42deef459167e926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1fbdd003235147a32ab6ce7eeb7fcab"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#ac1fbdd003235147a32ab6ce7eeb7fcab">TypeClassNameDesugar</a></td></tr>
<tr class="separator:ac1fbdd003235147a32ab6ce7eeb7fcab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8077db0c71133414416372a8b1d078b0"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a8077db0c71133414416372a8b1d078b0">TypeClassName</a></td></tr>
<tr class="separator:a8077db0c71133414416372a8b1d078b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540191fb33a5ebc8b929c6520e04f127"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a540191fb33a5ebc8b929c6520e04f127">PointeeTypeClassName</a></td></tr>
<tr class="separator:a540191fb33a5ebc8b929c6520e04f127"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04c7138fed00feabb9ecac16e9a13ab6"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a04c7138fed00feabb9ecac16e9a13ab6">PointeeTypeClassNameDesug</a></td></tr>
<tr class="separator:a04c7138fed00feabb9ecac16e9a13ab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade01cc4828d85363bb9230454030402d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#ade01cc4828d85363bb9230454030402d">TypeIdentifierName</a></td></tr>
<tr class="separator:ade01cc4828d85363bb9230454030402d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94c15b5c2e6f0969c05fa6c220060890"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a94c15b5c2e6f0969c05fa6c220060890">TypeIsMacro</a></td></tr>
<tr class="separator:a94c15b5c2e6f0969c05fa6c220060890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93865f3503a044402baa02acda825958"><td class="memItemLeft" align="right" valign="top">clang::ArrayType::ArraySizeModifier&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a93865f3503a044402baa02acda825958">SizeModifier</a></td></tr>
<tr class="separator:a93865f3503a044402baa02acda825958"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d9d85698d36cabfbfce6186da6ab2bf"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a9d9d85698d36cabfbfce6186da6ab2bf">NameOfType</a></td></tr>
<tr class="separator:a9d9d85698d36cabfbfce6186da6ab2bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f7b7368aa7de3d1778948fe16abd78"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a78f7b7368aa7de3d1778948fe16abd78">NameOfPointedType</a></td></tr>
<tr class="separator:a78f7b7368aa7de3d1778948fe16abd78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa89021df483ad04f78d9439b21c663da"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#aa89021df483ad04f78d9439b21c663da">fieldtype</a></td></tr>
<tr class="separator:aa89021df483ad04f78d9439b21c663da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a706aadb979459874191d732c6615252a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a706aadb979459874191d732c6615252a">fieldname</a></td></tr>
<tr class="separator:a706aadb979459874191d732c6615252a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca0ec11f4db2c1765fbe9c5462d8a065"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#aca0ec11f4db2c1765fbe9c5462d8a065">fieldname_vec</a></td></tr>
<tr class="separator:aca0ec11f4db2c1765fbe9c5462d8a065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a334329965e9a6302676af7adc2b292d5"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a334329965e9a6302676af7adc2b292d5">ptr_fieldname_vec</a></td></tr>
<tr class="separator:a334329965e9a6302676af7adc2b292d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a866d9efe64ae6b7ce5c7bc62e4b0e898"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_type_properties.html#a866d9efe64ae6b7ce5c7bc62e4b0e898">TypePosition</a></td></tr>
<tr class="separator:a866d9efe64ae6b7ce5c7bc62e4b0e898"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a511f452efc4a061b42deef459167e926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a511f452efc4a061b42deef459167e926">&#9670;&nbsp;</a></span>BuiltInTypeName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string TypeProperties::BuiltInTypeName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a706aadb979459874191d732c6615252a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a706aadb979459874191d732c6615252a">&#9670;&nbsp;</a></span>fieldname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string TypeProperties::fieldname</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aca0ec11f4db2c1765fbe9c5462d8a065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca0ec11f4db2c1765fbe9c5462d8a065">&#9670;&nbsp;</a></span>fieldname_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; TypeProperties::fieldname_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa89021df483ad04f78d9439b21c663da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa89021df483ad04f78d9439b21c663da">&#9670;&nbsp;</a></span>fieldtype</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string TypeProperties::fieldtype</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a78f7b7368aa7de3d1778948fe16abd78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78f7b7368aa7de3d1778948fe16abd78">&#9670;&nbsp;</a></span>NameOfPointedType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string TypeProperties::NameOfPointedType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9d9d85698d36cabfbfce6186da6ab2bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d9d85698d36cabfbfce6186da6ab2bf">&#9670;&nbsp;</a></span>NameOfType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string TypeProperties::NameOfType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a540191fb33a5ebc8b929c6520e04f127"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a540191fb33a5ebc8b929c6520e04f127">&#9670;&nbsp;</a></span>PointeeTypeClassName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* TypeProperties::PointeeTypeClassName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a04c7138fed00feabb9ecac16e9a13ab6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04c7138fed00feabb9ecac16e9a13ab6">&#9670;&nbsp;</a></span>PointeeTypeClassNameDesug</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* TypeProperties::PointeeTypeClassNameDesug</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a334329965e9a6302676af7adc2b292d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a334329965e9a6302676af7adc2b292d5">&#9670;&nbsp;</a></span>ptr_fieldname_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; TypeProperties::ptr_fieldname_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a93865f3503a044402baa02acda825958"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93865f3503a044402baa02acda825958">&#9670;&nbsp;</a></span>SizeModifier</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">clang::ArrayType::ArraySizeModifier TypeProperties::SizeModifier</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8077db0c71133414416372a8b1d078b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8077db0c71133414416372a8b1d078b0">&#9670;&nbsp;</a></span>TypeClassName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* TypeProperties::TypeClassName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac1fbdd003235147a32ab6ce7eeb7fcab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1fbdd003235147a32ab6ce7eeb7fcab">&#9670;&nbsp;</a></span>TypeClassNameDesugar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* TypeProperties::TypeClassNameDesugar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7722c49b99b8fc7c80993c6a74fac2a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7722c49b99b8fc7c80993c6a74fac2a3">&#9670;&nbsp;</a></span>TypeEnumerator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#affdb027278230374e0f2f8b039df8076">SupportedTypes</a> TypeProperties::TypeEnumerator</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade01cc4828d85363bb9230454030402d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade01cc4828d85363bb9230454030402d">&#9670;&nbsp;</a></span>TypeIdentifierName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string TypeProperties::TypeIdentifierName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a94c15b5c2e6f0969c05fa6c220060890"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94c15b5c2e6f0969c05fa6c220060890">&#9670;&nbsp;</a></span>TypeIsMacro</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TypeProperties::TypeIsMacro</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a866d9efe64ae6b7ce5c7bc62e4b0e898"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a866d9efe64ae6b7ce5c7bc62e4b0e898">&#9670;&nbsp;</a></span>TypePosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> TypeProperties::TypePosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_type_properties.html">TypeProperties</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
